#include <NewPing.h>

NewPing sonar(7, 6); // Initialize the NewPing library to use pins 7 and 6 for the ultrasonic sensor

void setup() {
  Serial.begin(9600); // Start the serial communication at a baud rate of 9600
  // Set pins 8, 9, 10, 11, and 12 as output pins for the LEDs
  for (int pin = 8; pin <= 12; pin++) {
    pinMode(pin, OUTPUT);
  }
}

void loop() {
    int distance = sonar.ping_cm(); // Get the distance measurement in centimeters

  Serial.print("Afstand=");
  Serial.println(distance); // Print the distance to the serial monitor

  // Turn off all LEDs initially
  for (int pin = 8; pin <= 12; pin++) {
    digitalWrite(pin, LOW);
  }

  // Light up LEDs based on the distance
  if (distance < 10) {
    digitalWrite(12, HIGH); // Turn on LED at pin 12
    digitalWrite(11, HIGH); // Turn on LED at pin 11
    digitalWrite(10, HIGH); // Turn on LED at pin 10
    digitalWrite(9, HIGH);  // Turn on LED at pin 9
    digitalWrite(8, HIGH);  // Turn on LED at pin 8
  }
  else if (distance < 15) {
    digitalWrite(11, HIGH); // Turn on LED at pin 11
    digitalWrite(10, HIGH); // Turn on LED at pin 10
    digitalWrite(9, HIGH);  // Turn on LED at pin 9
    digitalWrite(8, HIGH);  // Turn on LED at pin 8
  }
  else if (distance < 20) {
    digitalWrite(10, HIGH); // Turn on LED at pin 10
    digitalWrite(9, HIGH);  // Turn on LED at pin 9
    digitalWrite(8, HIGH);  // Turn on LED at pin 8
  }
  else if (distance < 25) {
    digitalWrite(9, HIGH); // Turn on LED at pin 9
    digitalWrite(8, HIGH); // Turn on LED at pin 8
  }
  else if (distance < 30) {
    digitalWrite(8, HIGH); // Turn on LED at pin 8
  }
}
